18 Jul 2019 - 1.34.5
(1) Change the parameter delimiting character to '\027'.
(2) Allow longer file names in the arguments to the functions.
(3) Add the "chop" mode to flattenGTF().
(4) Allow mixed paired-end ansd single-end reads in the inpit SAM or BAM files to featureCounts().
(5) Fix bugs.

26 Jun 2019 - 1.34.4
(1) Largely reduce memory use in buildindex() by pre-scanning the reference genome and allocating memory accordingly.
(2) Check the size of free memory and give warning messages in buildindex() if the free memory is insufficient for building the index.
(3) Improve the voting algorithm in align() and subjunc() to avoid shifted indels.

26 Jun 2019 - 1.34.3
(1) Update documentation regarding memory use and running time.

7 Jun 2019 - 1.34.2
(1) Change qualityScores() to support input reads with variable lengths, and add "nreads=-1" option for using all the input reads.

21 May 2019 - 1.34.1
(1) Reduce the lengths of file names in the returned objects from align(), subjunc(), featureCounts() and propmapped().

12 Apr 2019 - 1.33.41
(1) Update users guide.

11 Apr 2019 - 1.33.40
(1) Update NEWS.Rd.

11 Apr 2019 - 1.33.39
(1) Fix a bug in the new voting algorithm that do not work with long indel detection.

11 Apr 2019 - 1.33.38
(1) Fix a bug in the new voting algorithm that can lead to infinit loop.

11 Apr 2019 - 1.33.37
(1) Change the total length of parameters for many functions from 1000 bytes to 10240 bytes.

10 Apr 2019 - 1.33.36
(1) Improve the speed of voting by removing the backward scanning and minor changes.

9 Apr 2019 - 1.33.35
(1) Change the shifting-indel read voting algorithm to only disable indel detection at locations where the shifting-indel events are found.

9 Apr 2019 - 1.33.34
(1) Improve mapping algorithm in align() and subjunc() by treating junctions and indels in different ways, and detect shifting-indel reads then disallowing indels in them.
(2) Fix a bug in align() on DNA-seq mode.

8 Apr 2019 - 1.33.33
(1) Improve mapping algorithm in align() and subjunc() by preferring no-indel alignments, learning mean TLEN from the first 1000 read-pairs and removing symmetric indels in the voting table.

5 Apr 2019 - 1.33.32
(1) Amend documents for simReads() and scanFasta() to reflect the latest changes.

29 Mar 2019 - 1.33.31
(1) align() and subjunc() now write the summary mapping statistics for each sample to a file (as well as returning the same statistics, combined over samples in a data.frame).

28 Mar 2019 - 1.33.30
(1) Enable single-end read simulation in simReads().

25 Mar 2019 - 1.33.29
(1) Amend the document of simReads() and scanFasta() to remove a warning message.

21 Mar 2019 - 1.33.28
(1) Change the type of "expression.levels" in simReads() from data.frame to vector.

20 Mar 2019 - 1.33.27
(1) Fix simReads() to correctly treat the coordinates as "1-based" coordinates.

20 Mar 2019 - 1.33.26
(1) Change simReads() to draw the numbers of read-pairs generated from transcripts from a multinomial distribution.

15 Mar 2019 - 1.33.25
(1) Add hidden file .Rbuildignore in package folder to tell R not to include the .BBSoptions file in package builds.

14 Mar 2019 - 1.33.24
(1) Shorten package Description slightly.
(2) Add 5 BiocViews suggested by BiocCheck.
(3) Use "fragment" instead of "insertion" in simReads arguments, code and documentation.

13 Mar 2019 - 1.33.23
(1) Some code polishing for simReads.
(2) Simplify error messages from simReads.
(3) Add comments about read order to Details section of align.Rd

12 Mar 2019 - 1.33.22
(1) Edit Value and Details sections of align.Rd.
(2) Update references in buildindex.Rd and add a 'see also' to align.Rd.
(3) Add packages mentioned in NAMESPACE to Import field of DESCRIPTION.

11 Mar 2019 - 1.33.21
(1) Add comments to Details section of propmapped.Rd to alert users that align and subjunc return the same statistics.

11 Mar 2019 - 1.33.20
(1) The summary data.frames returned by align and subjunc now have the field names as row.names instead of a first column. The column names are now the basenames of the bam files instead of full paths.

10 Mar 2019 - 1.33.19
(1) propmapped now returns file names as row.names instead of as column.
(2) Remove unnecessary as.character() in default arguments for align() and subjunc().
(3) Use doi link as page numbers and Epub date as volume in CITATION

9 Mar 2019 - 1.33.18
(1) Add a strategy in simReads() to iteratively find the best value of N based on the wanted sample size.

8 Mar 2019 - 1.33.17
(1) Change featureCounts() to allow RNAME = "*" for reads reported as mapped and having non-empty CIGAR strings in the SAM or BAM input.
(2) Check the integrity of the index in align() and subjunc().

28 Feb 2019 - 1.33.16
(1) Edits to package citation file.

27 Feb 2019 - 1.33.15
(1) Add BAM format support in removeDupReads().

25 Feb 2019 - 1.33.14
(1) Update citation info.

25 Feb 2019 - 1.33.13
(1) Update users guide.

5 Feb 2019 - 1.33.12
(1) Update processExons.Rd file.

3 Feb 2019 - 1.33.11
(1) Remove irregular calls of rand(), srand() and removed the modification of the R stack limit.
(2) Register the ".C" functions when the Rsubread package is loaded.

2 Jan 2019 - 1.33.8
(1) Remove .tex file from vignettes directory.
(2) Update the vignette.

15 Dec 2018 - 1.33.7
(1) Add "low.transcripts" option to simReads() to avoid generating reads from transcripts that have less than one expected reads.

14 Dec 2018 - 1.33.6
(1) Update the document for simReads() and scanFasta(): "contig" is changed to "transcript".
(2) Change the simReads() function to generate quality strings of "H"s for non-sequencing error reads.

5 Dec 2018 - 1.33.5
(1) Add biocViews tag 'ImmunoOncology' to the biocViews.

5 Dec 2018 - 1.33.4
(1) Indicate the uniqueness of sequences in the returned data frame from scanFasta()
(2) Minor changes on the screen outputs from scanFasta() and genReads()

1 Dec 2018 - 1.33.3
(1) Change functions generateSimulatedReads() and summarizeContigs() to simReads() and scanFasta().
(2) Add warning and error messages to simReads() and scanFasta() for duplicate contig sequences and duplicate contig names. 
(3) Support gzipped FASTA format input in align(), subjunc() and buildindex().

26 Nov 2018 - 1.33.2
(1) Add generateSimulatedReads() and summarizeContigs() functions.

8 Nov 2018 - 1.33.1
(1) Improve help page for align and subjunc.

25 Oct 2018 - 1.31.23
(1) Fix a bug in findCommonVariants() running in Mac OS X. 

23 Oct 2018 - 1.31.22
(1) Update users guide. 

19 Oct 2018 - 1.31.21
(1) Update help page for featureCounts.
(2) Update users guide.

18 Oct 2018 - 1.31.20
(1) Fix the format of NEWS file.

15 Oct 2018 - 1.31.19
(1) Add the read shifting operation into featureCounts(). 

12 Oct 2018 - 1.31.18
(1) Update NEWS.

29 Sept 2018 - 1.31.17
(1) Further change the order of locations in the index.
(2) Remove two screen output messages from featureCounts().

28 Sept 2018 - 1.31.16
(1) Change the order of locations of the same subread in the index, making the mapping results consistant no matter how many buckets are in the index.

26 Sept 2018 - 1.31.15
(1) Update align.Rd and buildindex.Rd.

26 Sept 2018 - 1.31.14
(1) Update users guide.

20 Sep 2018 - 1.31.13
(1) Changed the return format of align() and subjunc() to include more information
(2) Fixed the issue of featureCounts(), align() and subjunc() not quiting when the annotation format is wrong.

18 Sep 2018 - 1.31.12
(1) align() and subjunc() return the mapping summary data frame. The summary includes total reads, mapped reads, indels, etc.

11 Sep 2018 - 1.31.11
(1) Fixed a big that featureCounts didn't allow gzipped annotation.

10 Sep 2018 - 1.31.10
(1) Fixed all bugs found in pre-release tests.

8 Sep 2018 - 1.31.9
(1) Fixed some bugs found in pre-release tests.

4 Sep 2018 - 1.31.8
(1) Largely improved the speed of align and subjunc
(2) Minor changes on the screen outputs of align, subjunc and featureCounts
(3) Improve documentation for 'read2pos' option in featureCounts.
(4) Bug fixes

17 Aug 2018 - 1.31.7
(1) Default value of 'countMultiMappingReads' parameter in featureCounts is changed to TRUE.

11 July 2018 - 1.31.6
(1) Fix a typo in atgcContent.Rd file.

22 June 2018 - 1.31.5
(1) Change default setting of buildindex() to enable one-block full index is generated by default.

15 May 2018 - 1.31.4
(1) Provide download link for human reference genome in builindex() help page and users guide.

11 May 2018 - 1.31.3
(1) Update users guide.
(2) Update help page for align, subjunc, featureCounts and flattenGTF.

10 May 2018 - 1.31.2
(1) Update users guide.
(2) Place users guide under 'doc' directory under 'inst'.
(3) Update help page for buildindex() function.

9 May 2018 - 1.31.1
(1) Added the 'sortReadsByCoordinates' option to align() and subjunc().
(2) Added the flattenGTF() function.
(3) Allowed featureCounts() to apply different strandness checks on different input files.
(4) Added the 'additionalAttributes' option to featureCounts().

27 April 2018 - 1.29.6
(1) Removed warning messages from the installation of the package.

23 April 2018 - 1.29.5
(1) Update users guide.

19 April 2018 - 1.29.4
(1) Update NEWS file.

10 Apr 2018 - 1.29.3
(1) Largedly improved the speed of featureCounts on the BAM files that have reads overhanging two gzipped blocks. This includes BAM files from STAR and Picard.

28 Mar 2018 - 1.29.2
(1) Added 'reportReadsPath' option to featureCounts().
(2) Allowed tilde (~) in input or output file names for all the functions.
(3) Enabled multi-threaded BAM compression in align() and subjunc().
(4) Added 'keepReadOrder' option to align() and subjunc() for multi-threaded BAM compression.
(5) Changed screen output of some functions by removing the full paths from the file names shown on screen.
(6) Fixed a bug in featureCounts() on long-read mode.

21 Mar 2018 - 1.29.1
(1) Fixed two bugs in featureCounts related to the BAM files generated by using STAR or Picard packages.
(2) Added sublong() function for long read mapping.
(3) Added ‘nonOverlap’ and ‘nonOverlapFeature’ options to featureCounts().
(4) Added gzipped GTF, SAF and VCF file support to featureCounts(), align(), subjunc() and exactSNP() functions.
(5) Default value of maxReads argument in exactSNP() is changed to 1000000.
(6) Update users guide.

25 Oct 2017 - 1.27.9
(1) Update help page for featureCounts.

20 Oct 2017 - 1.27.8
(1) updated users guide.

19 Oct 2017 - 1.27.7
(1) C code update from Yang.

18 Oct 2017 - 1.27.6
(1) Add ‘verbose’ option to propmapped().
(2) Add ‘fracOverlapFeature’ to featureCounts().
(3) Updated NEWS file.

14 July 2017 - 1.27.4
(1) C code from SF Subread 1.5.3.

11 July 2017 - 1.27.3
(1) Count long reads in featureCounts.
(2) Add ‘verbose’ option to featureCounts.
(3) Detailed assignment results can be saved to text file or SAM/BAM file by featureCounts.
(4) Filters included in featureCounts counting summary are ordered by their order being applied in counting.
(5) Update users guide.

1 May 2017 - 1.27.2
(1) Added txUnique() function.
(2) C code in align() and subjunc() has -u option removed.
(3) New option in featureCounts to allow counting of reads in each read group individually.
(4) Align() and subjunc() report percentage of uniquely mapped reads, multi-mapping reads and unmapped reads.

27 April 2017 - 1.27.1
(1) Added promoterRegions() function.
(2) Modified getInBuiltAnnotation() function.

24 April 2017 - 1.25.3
(1) Updated NEWS file.

15 March 2017 - 1.25.2
(1) Incorporate SF Subread 1.5.2.
(2) Update users guide.

9 March 2017
(1) Align and subjunc function can take user provided annotation for exon-exon junction detection.
(2) Dynamic programming parameters added to subjunc.
(3) Updated users guide.

12 Dec 2016 - 1.25.1
(1) Update help page for buildindex function.

14 Oct 2016 - 1.23.8
(1) Updated users guide.

14 Oct 2016 - 1.23.7
(1) Fixed some warnings from C code.

12 Oct 2016 - 1.23.6
(1) Updated NEWS file.

11 Oct 2016 - 1.23.5
(1) Fix annotation issue for detectionCall function.
(2) Improved featureCounts help page.

24 Aug 2016 - 1.23.4
(1) Incorporate changes from SF Subread 1.5.1.
(2) New parameters in featureCounts: fracOverlap, tmpDir
(3) Fractional counts can be generated for multi-overlapping reads. 

28 July 2016 - 1.23.3
(1) Coerce file name parameters in align and subjunc to be of character type.

9 June 2016 - 1.23.2
(1) Incoporate further changes from Subread 1.5.0-p3.

27 May 2016 - 1.23.1
(1) Incoporate changes from Subread 1.5.0-p3.

15 Apr 2016 - 1.21.12
(1) Add hg38 annotation.

11 Apr 2016 - 1.21.11
(1) Incorporate more C-code update from Subread 1.5.0-p2.

6 Apr 2016 - 1.21.10
(1) Incorporate C-code update from Subread 1.5.0-p2.

30 Mar 2016 - 1.21.9
(1) processExons() and detectionCallAnnotation() functions return NULL object.
(2) Update documentation for processExons() and detectionCallAnnotation() functions.
(3) Update DESCRIPTION for the package.

24 Mar 2016 - 1.21.8
(1) Removed 'PE_orientation' parameter from featureCounts.

1 Feb 2016 - 1.21.7
(1) 'ran' and 'dan' were added as possible values for type parameter in align().

29 Jan 2016 - 1.21.6
(1) add parameter '--nonSplitOnly' to featureCounts.

18 Dec 2015 - 1.21.5
(1) Incorporate changes made in SourceForge Subread 1.5.0-p1 release.

1 Dec 2015
(1) Change order of parameters of featureCounts function.


16 Nov 2015 - 1.21.4
(1) Fix usage section in Rd file for repair function.

12 Nov 2015
(1) Add repair function
(2) New parameters for featureCounts -- juncCounts, genome and maxMOp.
(3) Removed 'DNAseq' option from subjunc() function.
(4) Parameter 'reportFusions' is changed to 'detectSV' in align() function.
(5) Update users guide.

20 Oct 2015
(1) Default value of TH_subread in buildindex() was changed to 100.

Devel version changed to 1.21.0 after Bioc 3.2 release.

12 Oct 2015 - 1.19.8
(1) updated users guide.

9 Oct 2015 - 1.19.7
(1) Added parameters "type" and "complexIndels" to align.
(2) Added parameter "complexIndels" to subjunc.

8 Oct 2015 - 1.19.6
(1) C code update.

14 Sept 2015 - 1.19.5
(1) Check if input and output file names in align() and subjunc() are valid.

30 July 2015 - 1.19.3
(1) Added 'largestOverlap' option to featureCounts.

15 July 2015
(1) Changed 'minReadOverlap' to 'minOverlap' in featureCounts.

23 June 2015 - 1.19.2
(1) Changed parameter 'sortByName' to 'autosort' in featureCounts.
 
19 June 2015 - 1.19.1
(1) Added 'sortByName' and "fraction" parameters for featureCounts.
(2) Improved the reporting of meta-features that have excessive number of features in featureCounts output.

27 March 2005
(1) Improved documentation for propmapped function.

24 March 2015 - 1.17.2
(1) Changes to Makevars files.

31 Oct 2014 - 1.17.1
(1) Updated citation info.
(2) Updated users guide.

10 Oct 2014 - 1.15.12
(1) updated users guide.

9 Oct 2014 - 1.15.11
(1) Fixed a bug in featureCounts for read extension.
(1) When full index is built, subreads can be extracted from every position of the read and only one subread set is required for mapping. 
(2) By default, the maximum allowed mismatches in the mapped reads are 3.
(3) The soft-clipping bug in subread/subjunc is fixed.
(6) Bug fix for Subindel in generating CIGAR for assembled contigs.
(7) Subjunc requires the number of consensus subreads be at least 30% of the extracted subreads when reporting a hit for any exonic read.

7 June 2014 - 1.15.9
(1) Fixed a bug for reporting unmapped reads in SAM output.

18 June 2014 - 1.15.8
(1) Bug fix to scientifc notation issue in featureCounts.

12 June 2014 - 1.15.7
(1) updated C code.

29 May 2014 - 1.15.6
(1) Fixed the codoc mismatch bug for subjunc.
(2) Update users guide.

27 May 2014 - 1.15.5
(1) Add maxMismatches parameter to align and subjunc functions.

12 May 2014 -- 1.15.4
(1) Fixed a bug in featureCounts when dealing with a very big annotation file.

9 May 2014 -- 1.15.3
(1) Added 'ignoreDup' option to featureCounts.

2 May 2014 -- 1.15.2
(1) Added read2pos option to featureCounts.

1 May 2014 -- 1.15.1
(1) Added following parameters to featureCounts: readExtension5,readExtension3,minReadOverlap and countSplitAlignmentsOnly.
(2) Changed the order of parameters used by featureCounts.

8 April 2014 - 1.13.25
(1) Fixed formatting issue for buildindex function in the vignette.
(2) Added release news.

7 April 2014 - 1.13.24
(1) Added return value in sam2bed.c 
(2) Improved documentation for featureCounts.

1 April, 2014 - 1.13.23
(1) Updated citations in the vignette

31 March, 2014 - 1.13.22
(1) Updated citation for featureCounts.

28 Mar, 2014 - 1.13.21
(1) Improved vignette and users guide.


27 March, 2014 - 1.13.20
(1) Fixed a bug in featureCounts
(2) Fixed a bug in propmapped

25 March, 2014 - 1.13.19
(1) Improved output info of featureCounts.

19 March, 2014 - 1.13.18
(1) Updated users manual.

13 March, 2014 - 1.13.17
(1) Subjunc can now output multiple best mapping locations for a read.
(2) Default memory size was changed to 8000MB in buildindex function.
(3) buildindex function can now build a full index with no gaps.
(4) buildindex now supports the generation of a single-segment index.
(5) Default input format and output format were changed to 'gzFASTQ' and 'BAM', respectively, for align and subjunc functions.
(6) A new argument 'countPrimaryAlignmentsonly' was added into featureCounts.

21 Feb, 2014, 1.13.14
(1) Re-wrote the propmapped function.

21 Jan, 2014
(1) Improved documentation for the Phred offset parameter.

20 Dec, 2013 - 1.13.13
(1) Documentation improvement.

18 Dec, 2013 - 1.13.12
(1) Fixed a bug in featureCounts for processing long header lines in SAM/BAM files.

9 Dec, 2013 - 1.13.11
(1) Added recommended alignment settign in users guide.
(2) Updated biocviews terms.

7 Dec, 2013 - 1.13.10
(1) Removed 'doc' directory under Rsubread/inst/

5 Dec, 2013 - 1.13.9
(1) Fixed a file input issue for exactSNP.

1 Dec, 2013 - 1.13.8
(1) Re-wrote the qualityScores function.
(2) Align and subjunc functions allow input of multiple library files at the same time.
(3) Align and subjunc functions support gzipped FASTQ input.
(4) Align and subjunc output uniquely mapped reads only by default (tieBreakHamming option is turned on by default as well).
(5) exactSNP can use annotated SNPs to improve SNP-calling performance.

16 Nov, 2013 - 1.13.7
(1) Fixed a bug in featureCounts in dealing with unpaired reads in SAM/BAM files.

15 Nov, 2013 -1.13.6
(1) featureCounts outputs summary info after read assignments (giving reasons for those unassigned reads).
(2) featureCounts automatically re-orders paired-end reads if reads from the same pair are not adjacent to each other ('PEReadsReordering' option is not needed any more). It can also deal with those read pairs that have only one end included in SAM/BAM files.
(3) Subjunc has an improved performance in mapping the exon-spanning reads in which junction locations are very close to (1-2bp away from) the ends of reads.
(4) Fixed a bug related to FreeBSD installation.
(5) Fixed a bug for running on 32-bit machines for a few functions.

11 Nov, 2013 - 1.13.5
(1) Added an example for mapping paired-end reads in the vignette
(2) Added an example for featureCounts in the vignette

7 November, 2013 - 1.13.4
(1) featureCounts automatically detects the type of input read files ('file.type' argument removed)
(2) subjunc function supports the alignment of genomic DNA-seq reads ('DNAseq' option). It detects junctions and fusions (eg chimera) and report them in the mapping results (optional fields in the SAM/BAM file are used to store the mapping results of second alignments).
(3) subjunc function can report non-canonical exon-exon junctions and fusions (eg. chimera) for RNA-seq read data('reportAllJunctions' option), in addition to the reporting of canonical exon-exon junctions.
(4) align function reports fusions when mapping gDNA-seq data ('reportFusions' option).

25 Oct, 2013 - 1.13.3
(1) Changed inst/doc to vignettes/
(2) Created 'usersguide' directory under 'inst' to store users guide.

25 Oct, 2013 - 1.13.1
(1) Fixed a bug for featureCounts

14 Oct, 2013 - 1.11.18
(1) Updated users guide.

11 Oct, 2013 - 1.11.17
(1) Updated NEWS, vignette and users guide.

6 Oct, 2013 - 1.11.16
(1) Updated C code with Subread v1.4.0
(2) Modified arguments for exactSNPs, featureCounts and Subjunc.

28 Aug, 2013 - 1.11.15
(1) Fixed a bug for processing long head lines in index building.
(2) Fixed a bug for reporting strands for junctions discovered from long reads. 

17 Aug, 2013 - 1.11.14
(1) Added support for SunOS.

12 Aug, 2013 - 1.11.13
(1) Added support for freeBSD.

8 Aug, 2013 - 1.11.12
(1) Remove -T parameter from removeDupReads function
(2) Fixes a bug in featureCounts.

3 Aug, 2013 - 1.11.11
(1) The maximum allowed length of chromosome names and gene identifiers was increased to 100 for featureCounts function.
(2) Documentation improvement for featureCounts.

1 Aug, 2013 - 1.11.10
(1) Added getInBuiltAnnotation function.
(2) Improved featureCounts interface.

31 July, 2013
(1) Minor edits on the documentation.

30 July, 2013 - 1.11.9
(1) Add an option to align to support the conversion of color-space bases to base-space bases.
(2) Documentation improvement.

3 July, 2013 - 1.11.8
(1) Update createAnnotationFile() function.

25 June, 2013 - 1.11.7
(1) Fixed the RGui output problem.

18 June, 2013 - 1.11.6
(1) Incorporated the changes made in Subread 1.3.5 patches 1-4.

6 June, 2013 - 1.11.5
(1) Incorporated the changes made in Subread 1.3.5

4 June, 2013 - 1.11.4
(1) Modified featureCounts to let it exclude multi-mapping reads from read summarization in its default setting.
(2) Added 'countMultiMappingReads' option to allow multi-mapping reads to be counted if required.

2 Jun, 2013
(1) Made changes to the isStrandSpecific parameter of featureCounts.

30 May, 2013 - 1.11.3
(1) Added a users guide.

9 May, 2013
(1) Add more options for featureCounts.

April 28, 2013 - 1.11.2
(1) featureCounts now supports multi-threading.

April 22, 2013
(1) sam2bed functions now output strandness information.

April 17, 2013 - 1.11.1
(1) Allowed multiple equally-best mapping locations to be reported for reads

March 31, 2013 - 1.9.8
(1) Document improvement

March 29, 2013 - 1.9.7
(1) Changes to the configure file and Makevars.Linux
(2) Changes to sorted-hashtable.c

March 28, 2013 - 1.9.6
(1) Fix the multithreading issue
(2) Documentation improvements

March 27, 2013 - 1.9.5
(1) Updated CITATION file.
(2) Updated documentation.
(3) Modified the arguments of featureCounts() function
(4) featureCounts() function now accepts BAM files as input.

March 14, 2013 - 1.9.3
(1) Mac support was added.
(2) Subread version 1.3.1 was used.
(3) Fix warnings related to C functions.

August 24, 2012 - 1.7.7
(1) Align and subjunc functions are now updated using the latest Subread package (1.3.0 on sourceforge.net).
(2) Major updates to SNP calling function and the function for removing duplicated reads.

August 23, 2012
(1) Temporary files generated by functions will be temporarily stored in the current working directory.

June 30, 2012 
(1) Add mm10 annotation file to featureCounts function. 

June 26, 2012 - 1.7.6
(1) Add an option to featureCounts to count fragments for paired-end sequencing data.
(2) Disable the running of example included in createAnnotationFile.Rd.

June 14, 2012 - 1.7.5
(1) featureCounts function now accepts a data frame as the annotation input.

June 8, 2012 - 1.7.4
(1) Change static memory allocation to dynamic memory requests for a number of functions to reduce memory use when the package is loaded.
(2) The buildindex function no longer requies an allocation of 1GB continous memory block.

May 31, 2012 - 1.7.3
(1) Tim Triche added createAnnotationFile function to convert annotations to the format which can be used by featureCounts.

April 27, 2012 - 1.7.2
(1) Bug fix to incorrect CIGAR strings.

April 3, 2012 - 1.7.1
(1) Bug fix to parameter passing from R to C for align and subjunc
(2) Fix memory leakage for align and subjun.

March 26, 2012 - 1.5.8
(1) Bug fixes to align and callSNPs function.

March 22, 2012 - 1.5.7
(1) Major updates to align and subjunc functions.

March 21, 2012 - 1.5.6
(1) Add snpCalls function.
(2) Add removeDupReads function.

Feb 15, 2012 - 1.5.5
(1) Bug fix to subjunc parameters passed to the underlying C program.

February 14, 2012 - 1.5.4
(1) Fixed the bug of mapping reads out of chromosome boundary.

Junuary 17, 2012 - 1.5.3
(1) Align function can now report uniquely mapped reads only.
(2) Buildindex function now includes the reference sequences in the built index by default.
(3) Subjunc now supports up to 16bp INDELs.
(4) Subjunc supports extra splicing donor/receptor sites (GC-AG and GT-AT), in addition to the canonical one(GT-AG).

November 7, 2011 - 1.5.2
(1) Bug fix to chr3 length issue.

November 2, 2011 - 1.5.1
(1) Bug fix to the flag field in SAM output 

September 28, 2011 - 1.2.1
(1) propmapped function now returns a data frame.
(2) remove file name restraint in detectionCall function.
(3) output of featureCounts function was changed to a list.
(4) fixed the incorrect use of ppois function in detectionCall function

August 30, 2011 - 1.2.0
(1) Add subjunc function which can be used to find exon junctions.
(2) Add functions for determining detection p values for each gene in RNA-seq data.

July 26, 2011 - 1.1.1
featureCounts function now supports human data and allows users to provide their annotation data.

July 22, 2011 - 1.1.0
Add featureCounts function, which counts number of mapped reads for each feature.

1.0.0
Package release.
